import 'core-js/stable';
import setupApp from './setup/setupApp';
import registerPlugins from './setup/plugins';
import setupRouteGuards from './setup/router';
import registerDirectives from './setup/directives';
import '@/styles/main.scss';
import '@/styles/variables.css';

const app = setupApp();

registerPlugins(app);
setupRouteGuards();

registerDirectives(app);

app.mount('#app');
